Name:           polarssl
Version:        0.14.1
Release:        1%{?dist}
Summary:        Light-weight cryptographic and SSL/TLS library

Group:          System Environment/Libraries
License:        GPLv2+
URL:            http://polarssl.org/
Source0:        http://polarssl.org/code/releases/%{name}-%{version}-gpl.tgz
# Patches sent upstream in private mail 2010-09-15 for inclusion in 0.15
# Add cmake install targets:
Patch1:         polarssl-cmake-with-install.patch
# Add cmake flag for building and using shared library:
Patch2:         polarssl-cmake-shared.patch
# Add cmake target "apidoc" for creating doxygen API documentation:
Patch3:         polarssl-cmake-doxygen.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  cmake doxygen

%description
PolarSSL is a light-weight open source cryptographic and SSL/TLS
library written in C. PolarSSL makes it easy for developers to include
cryptographic and SSL/TLS capabilities in their (embedded)
applications with as little hassle as possible.


%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q
%patch1 -p1
%patch2 -p1
%patch3 -p1


%build
%cmake -D USE_SHARED_POLARSSL_LIBRARY:BOOL=1 .
make VERBOSE=1 %{?_smp_mflags}
make VERBOSE=1 apidoc
rm include/apidoc/installdox
sed -i 's,
$,,g' ChangeLog


%check
# Tests are not stable on 64-bit
#ctest --output-on-failure


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_libexecdir}
mv $RPM_BUILD_ROOT%{_bindir} $RPM_BUILD_ROOT%{_libexecdir}/polarssl


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc ChangeLog
%{_libexecdir}/polarssl/
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root,-)
%doc include/apidoc/*
%{_includedir}/polarssl/
%{_libdir}/*.so


%changelog
* Tue Feb 22 2011 Mads Kiilerich <mads@kiilerich.com> - 0.14.1-1
- polarssl-0.14.1 bugfix release
- removed doc patch and replaced relevant parts with sed

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.14.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Feb 01 2011 Mads Kiilerich <mads@kiilerich.com> - 0.14.0-4
- First official approved package

* Sun Jan 30 2011 Mads Kiilerich <mads@kiilerich.com> - 0.14.0-3
- More specific %%files
- Rename patches to polarssl prefix and show their summary

* Sat Nov 13 2010 Mads Kiilerich <mads@kiilerich.com> - 0.14.0-2
- Fix lib64 issue by updating cmake install patches to use LIB_INSTALL_DIR
- Add comment that patches has been sent upstream

* Wed Sep 15 2010 Mads Kiilerich <mads@kiilerich.com> - 0.14.0-1
- Initial Fedora package
